=== debian/changelog ===
nanopb (0.4.9-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Sep 2024 18:18:35 +0200

nanopb (0.4.8-2) unstable; urgency=medium

  * Do not force install proto files to wrong location (closes: #1072073).
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 18 Jun 2024 17:14:12 +0200
