=== debian/changelog ===
nanopb (0.4.9.1-1) unstable; urgency=high

  * New upstream release:
    - fix CVE-2024-53984: memory not released on error return from
      pb_decode_ex() (closes: #1088994).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Dec 2024 19:43:32 +0100
