=== debian/control ===
Source: nanopb
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, cmake, scons, python3, protobuf-compiler, python3-protobuf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://jpa.kapsi.fi/nanopb/

Package: nanopb
Architecture: all
Depends: protobuf-compiler, ${python3:Depends}, python3-pkg-resources, python3-protobuf, ${misc:Depends}
Multi-Arch: foreign
Description: Protocol Buffers with small code size
 Plain-C implementation of Google's Protocol Buffers data format. It is
 targeted at 32 bit microcontrollers, but is also fit for other embedded
 systems with tight (<10 kB ROM, <1 kB RAM) memory constraints.
 .
 This package contains the nanopb generator.

Package: libnanopb-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Multi-Arch: same
Description: Protocol Buffers with small code size, development files
 Plain-C implementation of Google's Protocol Buffers data format. It is
 targeted at 32 bit microcontrollers, but is also fit for other embedded
 systems with tight (<10 kB ROM, <1 kB RAM) memory constraints.
 .
 This package contains the development files (headers, static library).
